﻿Option Strict On
Imports System.Xml.Linq

Public Class ImageInfo
    Public Property 画像名 As String
    Public Property タイトル As String
End Class
Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        Dim xmldoc As XElement = XElement.Load("Photo.xml")
        Dim query = From c In xmldoc.Descendants("画像名") Select c
        Dim myImageInfo As New List(Of ImageInfo)

        For Each result In query
            Dim titleLen As Integer = Len(result.Value) - 4
            Dim myTitle = Microsoft.VisualBasic.Left(result.Value, titleLen)
            With myImageInfo
                .Add(New ImageInfo With {.画像名 = "Image/" & result.Value, .タイトル = myTitle})
            End With
            ListBox1.ItemsSource = myImageInfo
        Next
    End Sub

End Class